Bug 448808

Summary: Review Request: freesci - A portable interpreter for SCI games
Product: [Fedora] Fedora Reporter: Stefan Posdzich <cheekyboinc>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, musuruan, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-23 05:47:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Stefan Posdzich 2008-05-28 16:56:48 EDT
Spec URL: http://files.spielen-unter-linux.de/repository/fedora/9/SRPMS/freesci.spec
SRPM URL: http://files.spielen-unter-linux.de/repository/fedora/9/SRPMS/freesci-0.6.4-1.fc9.src.rpm

Description:

FreeSCI is a portable interpreter for SCI (Sierra Creative Interpreter) games, 
such as the Space Quest series (starting with SQ3) or Leisure Suit Larry (2 and sequels).


- This is my second package. My first package was fbpanel:
https://bugzilla.redhat.com/show_bug.cgi?id=448292
- I am seeking a sponsor.
Comment 1 Mamoru TASAKA 2008-06-18 08:20:43 EDT
(Removing NEEDSPONSOR, sponsored by me)
Comment 2 Andrea Musuruane 2008-06-20 11:07:24 EDT
Are you sure FreeSCI can be included in Fedora?

Is there any free data for it? If the answer is no, it cannot be included. If
the answer is yes, it can be included but a package for at least a free game
must be submitted too.
Comment 3 Stefan Posdzich 2008-06-20 11:31:34 EDT
I didnt know that...
There are demos and shareware versions but, no the games are not free (i dont 
think there is any free Sierra game).
Comment 4 Patrice Dumas 2008-06-20 11:41:58 EDT
(In reply to comment #2)
> Is there any free data for it? If the answer is no, it cannot be included. 

Why?
Comment 5 Andrea Musuruane 2008-06-20 11:46:49 EDT
(In reply to comment #4)
> Why?

Because this is the rule Games SIG has. Interpreters and games that don't follow
this rule have been retired and often moved to other repositories.

If you think this is not correct you are welcome to post a message in the Games
SIG mailing list.

More info on this SIG here:
http://fedoraproject.org/wiki/SIGs/Games
Comment 6 Jason Tibbitts 2008-06-20 13:41:02 EDT
If there's as much as a demo or some non-use-restricted content which can be
downloaded from the 'net, then the package is fine.  Witness xu4.  For the
counterpoint, see Exult, which itself is free but for which no free content.  (I
personally disagree with the exclusion of Exult, but that's neither here nor there.)
Comment 7 Andrea Musuruane 2008-06-20 13:45:48 EDT
Please read this thread about FreeSCI:
http://www.redhat.com/archives/fedora-games-list/2007-April/msg00008.html
Comment 8 Jason Tibbitts 2008-06-20 13:53:44 EDT
Yes, that thread is a reasonable reference, and doesn't contradict my comments
above.
Comment 9 Stefan Posdzich 2008-06-20 14:54:46 EDT
Unfortunately this site is down:
http://scicommunity.com/

I have found many game demos on this site:
http://agisci.classicgaming.gamespy.com/sierradm.shtml

...but this site needs a fileplanet account.
I have not found any other sources.

That wont be sufficient, or?
Comment 10 Stefan Posdzich 2008-06-23 05:47:11 EDT
I close this review until we find a "free game" (downloadable!) for it...